%global srcname sphinx_qt_documentation

Name:           python-sphinx-qt-documentation
Version:        0.4
Release:        1%{?dist}
Summary:        Plugin for resolving intersphinx references for Qt elements

License:        BSD-3-Clause
URL:            https://github.com/Czaki/sphinx-qt-documentation
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3-qt5

%global _description %{expand:
This is a plugin to add cross-link to Qt documentation for Python code created
with PyQt5 or PySide2.  Currently, it supports qtpy, Qt.py wrappers and PyQt5,
PySide2, PyQt6 and PySide6.}

%description %_description

%package -n python3-sphinx-qt-documentation
Summary:        %{summary}

%description -n python3-sphinx-qt-documentation %_description


%prep
%autosetup -p1 -n sphinx_qt_documentation-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sphinx_qt_documentation


%check
%pyproject_check_import


%files -n python3-sphinx-qt-documentation -f %{pyproject_files}
%doc README.*


%changelog
* Tue Oct 04 2022 Scott Talbert <swt@techie.net> - 0.4-1
- Initial packaging
